<?php 
 require('config.php');
 require('dbconfig.php');
 require("lang.php");
 /**** 共用變數 ********/
  //網頁名稱
 $PROGNAME='search.php';
 $READPROGNAME='read.php';
 $_SELF=$_SERVER['PHP_SELF'];
 $PGBEG=$_REQUEST['PGBEG'];
 /************* GET 變數 ***************/
  $VERSION=$_REQUEST['VERSION'];//版本
  $strongflag=(int) $_REQUEST['strongflag'];//要不要show strong 可以設定prefer
  $TABFLAG=(int) $_REQUEST['TABFLAG'];//展示方式 可以設定 prefer
  $orig=(int) $_REQUEST['orig'];      //0：經文 1:希臘文編號 2:希伯來文編號
  if ($GBCODE==1)
  	$keyword=trim(tranbig5($_REQUEST['keyword']));
  else
  	$keyword=trim($_REQUEST['keyword']);      //查詢資料
  if (strlen($keyword)==0)
  {
	if ($GBCODE==1)
	{
        	$keyword=trim(iconv('gb2312','big5',$_REQUEST['bgkeyword']));
		$keyword=iconv('big5','utf-8',$keyword);
	}
	else
		$keyword=iconv('big5','utf-8',trim($_REQUEST['bgkeyword']));

  }
  $RANGE=(int) $_REQUEST['RANGE'];    //查詢模式 0：全部 1：新約 2:舊約 3:範圍
  $range_bid=(int) $_REQUEST['range_bid']; //範圍查詢之開始經卷
  $range_eid=(int) $_REQUEST['range_eid']; //範圍查詢之結束經卷
  $keyword=str_replace('\'',"''",$keyword);
  //Query的指令
 if (strlen($VERSION)==0) $VERSION="unv";
 $oldv=$VERSION;
 $iscase=0;//處理大小寫問題
 if (strncmp($keyword,'#',1)==0) //#太 1:1|
 {
	require("subref.php");
 	$db_conn=db_connect("host=localhost dbname=$DBNAME");
	db_set_encoding($db_conn,'utf-8');
	echo "<html>\n<head>\n";
	 echo "<title>Bible Search Result: $oldkeyword</title>\n";
         echo("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" /></head>");

	echo "<body><p />\n";
	echogb(iref($keyword,'Mt',1,$db_conn,1,'unv'));
	echogb("\n<p /><a href=\"Javascript:history.go(-1)\">回上一頁</a></center></body></html>");
	die('');
 }
 if (!in_array($VERSION,$validbook)) die("version $VERSION error!");
 if (strcmp($VERSION,'kjv')==0) 
	{
		$stronged=1;
		$iscase=1;
		$keyword=strtolower($keyword);
	}
 if (strcmp($VERSION,'rsv')==0) 
	{
		$stronged=0;
		$iscase=1;
		$keyword=strtolower($keyword);
	}
 elseif (strcmp($VERSION,'unv')==0) $stronged=1;
 else $stronged=0;
 $oldkeyword=trim($_REQUEST['keyword']);
 if (strlen($oldkeyword)==0)
 {
	$oldkeyword=iconv('big5','utf-8',trim($_REQUEST['bgkeyword']));
 }
 $poldkeyword=urlencode($oldkeyword);
 if ($orig==1)//確定是 Greek strong number
 {
	if ($stronged==0) 
	{
		echogb("<h2>此版本不支援Strong number <h2>");
		exit;
	}
	$sstrong=1;
	if ($RANGE==0) $RANGE=1;
	if ($strongflag==0)
        	$strongflag=2;
 }
 elseif ($orig==2)//確定是 Heb strong number
 {
	if ($stronged==0) 
	{
		echo("<h2>此版本不支援Strong number <h2>");
		exit;
	}
	$sstrong=1;
	if ($RANGE==0) $RANGE=2;
	if ($strongflag==0)
        	$strongflag=2;
 }
 else //經文版本換成沒有strong number的版本
  {
	$sstrong=0;
 	if (strcmp($VERSION,'kjv')==0) $VERSION='nstrkjv';
 	elseif (strcmp($VERSION,'unv')==0) $VERSION='nstrunv';
  }
 /******* 處理查詢範圍問題 *********/
 if (($range_eid>0) || ($range_bid>0)) $RANGE=3; //如果選定經卷，就是第三種狀況
 switch ($RANGE)
 {
	case 0: $RANGELIMIT=""; break; //整本聖經
	case 1: $RANGELIMIT="and main.id>39"; break; //新約
	case 2: $RANGELIMIT="and main.id<40"; break; //舊約
	case 3: 
		if ($range_eid<$range_bid) //互換順序
			{
				$idtmp=$range_eid;
				$range_eid=$range_bid;
				$range_bid=$idtmp;
			}
		if (($range_eid ==0)&&($range_bid ==0)) //沒有選就是整本聖經
			{
				$range_bid=1;
				$range_eid=66;
			}
		if ($range_bid==0) $range_bid=$range_eid; //沒選就是一卷
		$RANGELIMIT="and main.id>=$range_bid and main.id<=$range_eid";
		break;
 }
 /******* 處理邏輯查詢問題 *********/
 $keyword=str_replace("("," ( ",$keyword);
 $keyword=str_replace(")"," ) ",$keyword);
 $keyword=str_replace("\n"," ",$keyword);
 $KEYLIMIT=$keyword;
 $keyptok=split(" ",$keyword); //處理Query字串
 $keycnt=count($keyptok);
 $keyi=0;
  //過濾空 token
 for ($keypt=0;$keypt<$keycnt;$keypt=$keypt+1)
 {
     if (strlen($keyptok[$keypt])==0) continue;
     else $keytok[$keyi++]=$keyptok[$keypt];
 }
 $keycnt=count($keytok);
 $KEYLIMIT="";
 //設定一個陣列用來變色展示用
 $disptok=array();
 $keyi=0;
 for ($keypt=0;$keypt<$keycnt;$keypt=$keypt+1)
 {
     if (strcasecmp($keytok[$keypt],"not")==0) 
	{
		$KEYLIMIT=$KEYLIMIT." $keytok[$keypt] ";
		continue;
	}
     if (strcasecmp($keytok[$keypt],")")==0) 
	{
		$KEYLIMIT=$KEYLIMIT." $keytok[$keypt] ";
		continue;
	}
     if (strcasecmp($keytok[$keypt],"(")==0) 
	{
		$KEYLIMIT=$KEYLIMIT." $keytok[$keypt] ";
		continue;
	}
     if (strcasecmp($keytok[$keypt],"and")==0) 
	{
		$KEYLIMIT=$KEYLIMIT." $keytok[$keypt] ";
		continue;
	}
     if (strcasecmp($keytok[$keypt],"or")==0) 
	{
		$KEYLIMIT=$KEYLIMIT." $keytok[$keypt] ";
		continue;
	}
     $akeypt=$keypt+1;//LOOK AHEAD POINTER	
     if ($orig==0)
     {
        $disptok[$keyi++]=$keytok[$keypt];
     }
     else if ($orig==1) //Greek strong number
     {
         $keytok[$keypt]=(int) $keytok[$keypt];
         $gtmp=(int) $keytok[$keypt];
         $keytok[$keypt]=sprintf("G%d>",$gtmp);
	 if ($gtmp > 5626)
                $disptok[$keyi]="({$gtmp})";
         else    $disptok[$keyi]="&lt;{$gtmp}&gt;";
	 $keyi++;
     }
     elseif ($orig==2) //Greek strong number
     {
         $keytok[$keypt]=(int) $keytok[$keypt];
	 $gtmp=(int) $keytok[$keypt];
         $keytok[$keypt]=sprintf("H0%d>",$gtmp);
	 if ( $gtmp >= 8680)
		$disptok[$keyi]="({$gtmp})";
         else    $disptok[$keyi]="&lt;0{$gtmp}&gt;";
	 $keyi++;
     }
     if (strcasecmp($keytok[$akeypt],"and")!=0 //and 
	 && $akeypt < $keycnt
         && strcasecmp($keytok[$akeypt],"or")!=0 //or
         && strcasecmp($keytok[$akeypt],")")!=0 //)
         && strcasecmp($keytok[$akeypt],"not")!=0) //not
     {
	if ($iscase==1)
            $nkey="lower({$VERSION}.txt) like '%$keytok[$keypt]%' and ";
	else
            $nkey="$VERSION.txt like '%$keytok[$keypt]%' and ";
	 $KEYLIMIT=$KEYLIMIT.$nkey;
         // $KEYLIMIT=str_replace($keytok[$keypt],$nkey,$KEYLIMIT);
     }
     else
    {
	if ($iscase==1)
         	$nkey="lower({$VERSION}.txt) like '%$keytok[$keypt]%'";
	else
         	$nkey="$VERSION.txt like '%$keytok[$keypt]%'";
	 $KEYLIMIT=$KEYLIMIT.$nkey;
         //$KEYLIMIT=str_replace($keytok[$keypt],$nkey,$KEYLIMIT);
    }
 } 
 if ($updatemode)
 $QUERY="select main.chineses, $VERSION.chap||':'||$VERSION.sec,$VERSION.txt,$VERSION.id,$VERSION.username from $VERSION,main where main.engs=$VERSION.engs $RANGELIMIT and ( $KEYLIMIT ) order by $VERSION.id"; 
 else
 $QUERY="select main.chineses, $VERSION.chap||':'||$VERSION.sec,$VERSION.txt,$VERSION.id from $VERSION,main where main.engs=$VERSION.engs $RANGELIMIT and ( $KEYLIMIT ) order by $VERSION.id"; 
  //Table輸出特別參數
 $tabout="border=\"1\"";
  //網頁輸入的變數
  //查詢資料表頭
 if ($updatemode)
 	$THEADER=array("卷名","章節","輸入者","經文");
 else
 	$THEADER=array("卷名","章節","經文");
  //每一頁的筆數
 $PGNUM=50;
 // Primary Key	
 $PKEY="oid";
 $KEYCOLOR=array("\"#FF0000\"","\"#FF33CC\"","\"#CC3333\"","\"#0000FF\"","\"#333399\"","\"#004080\"","\"#00C4C4\"","\"#339900\"","\"#FF8000\"","\"#BB00C5\"","\"#FFFF66\"","\"#A0FFFF\"","\"#99ff99\"","\"#ff9999\"");
 $COLOR="\"#000000\"";
  echo "<!DOCTYPE html PUBLIC \"=//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org?TR?xhtml1/DTD/xhtml1-strict.dtd\">\n";
  echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">\n";
  echo "<head>\n";
 //echo $QUERY;
  if ($strongflag==1)
 {
   require("strong.php");
   echo "<style type=\"text/css\">\n";
   echo "ruby{\n";
   echo " display:inline-table;\ntext-align:center;\nwhite-space:nowrap;\n vertical-align:-25%;\n}";
   echo "\nruby>rb{\ndisplay:table-row-group;\n}";
   echo "ruby>rt{\ndisplay:table-header-group;\nfont-size:75%;\n}\n</style>\n";
 }
 else
   require("ostrong.php");
 /******** 印出資料 ********/
   echo("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
   echo "\n<title>Bible Search Result: $oldkeyword</title>\n";
 echo "</head>\n";
 $db_conn=db_connect("host=localhost dbname=$DBNAME");
 db_set_encoding($db_conn,"utf-8");
 if (strlen($keyword)==0)
 {
	echogb("都沒有輸入任何查詢資料！請再試一次！\n");
 	exit;
 }
 /******** 開始查資料庫 ********/
 $result=db_exec($db_conn,$QUERY);
 if (!$result){
                        echogb("資料庫查詢錯誤，條件是 $QUERY !");
                        exit;
 }
 $numrow=db_NumRows($result);  
 /****** 僅僅是初步檢視 *********/
 if ($numrow>500)
   {
   	echogb("共有 $numrow 筆，資料太多了，請<a href=\"$RETURNADD1\">修改查詢條件</a>再查！或按底下的連結縮小查詢範圍。<p />");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=0\">全本聖經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=2\">舊約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=1\">新約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=1&amp;range_eid=5\">摩西五經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=6&amp;range_eid=17\">歷史書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=18&amp;range_eid=22\">詩歌書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=23&amp;range_eid=39\">先知書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=40&amp;range_eid=43\">福音書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=44&amp;range_eid=57\">保羅書信</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=58&amp;range_eid=66\">其他書信</a>");
        echogb("<hr><font color=\"red\" size=\"+2\">舊約:</font><br />\n");
	$CHINESEF=array('',"創世記","出埃及記","利未記","民數記","申命記","約書亞記","士師記","路得記",
"撒母耳記上","撒母耳記下","列王紀上","列王紀下","歷代志上","歷代志下","以斯拉記","尼希米記",
"以斯帖記","約伯記","詩篇","箴言","傳道書","雅歌","以賽亞書","耶利米書","耶力米哀歌","以西結書",
"但以理書","何西阿書","約珥書","阿摩司書","俄巴底亞書","約拿書","彌迦書","那鴻書","哈巴谷書","西番雅書",
"哈該書","撒迦利亞書","瑪拉基書",
"馬太福音","馬可福音","路加福音","約翰福音","使徒行傳","羅馬書","哥林多前書","哥林多後書","加拉太書",
"以弗所書","腓立比書","歌羅西書","帖撒羅尼迦前書","帖撒羅尼迦後書","提摩太前書","提摩太後書","提多書",
"腓利門書","希伯來書","雅各書","彼得前書","彼得後書","約翰一書","約翰二書","約翰三書",
"猶大書","啟示錄");
	for ($i=1;$i<=39;$i=$i+1)
            echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid={$i}&amp;range_eid={$i}\">{$CHINESEF[$i]}</a>");
	echogb("<hr><font color=\"red\" size=\"+2\">新約:</font><br />\n");
	for ($i=40;$i<=66;$i=$i+1)
            echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid={$i}&amp;range_eid={$i}\">{$CHINESEF[$i]}</a>");
	exit;
   }
 if ($numrow==0)
   {
   	echogb("查不到任何資料，請<a href=\"$RETURNADD1\">修改查詢條件</a>再查！或按底下的連結擴大查詢範圍。<p />");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=0\">全本聖經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=2\">舊約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=1\">新約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=1&amp;range_eid=5\">摩西五經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=6&amp;range_eid=17\">歷史書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=18&amp;range_eid=22\">詩歌書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=23&amp;range_eid=39\">先知書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=40&amp;range_eid=43\">福音書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=44&amp;range_eid=57\">保羅書信</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=58&amp;range_eid=66\">其他書信</a>");
	exit;
   }
 $numfield=db_NumFields($result);
 $PGEND=$PGBEG+$PGNUM-1;
 if ($PGEND>($numrow-1))
 {
	$PGEND=$numrow-1;
 }
 echo '<body onLoad=\"javascript:focus()\"><table align="center"><tr>';
 if ($PGBEG>=$PGNUM)
 {
   $a=$PGBEG-$PGNUM;
   echo "<td><form method=\"post\" action=\"$PROGNAME\">\n";
   echo "<input type=\"hidden\" name=\"PGBEG\" value=\"$a\" />\n";
   echo "<input type=\"hidden\" name=\"VERSION\" value=\"$oldv\" />\n";
   echo "<input type=\"hidden\" name=\"RANGE\" value=\"$RANGE\" />\n";
   echo "<input type=\"hidden\" name=\"range_bid\" value=\"$range_bid\" />\n";
   echo "<input type=\"hidden\" name=\"range_eid\" value=\"$range_eid\" />\n";
   echo "<input type=\"hidden\" name=\"TABFLAG\" value=\"$TABFLAG\" />\n";
   echo "<input type=\"hidden\" name=\"strongflag\" value=\"$strongflag\" />\n";
   echo "<input type=\"hidden\" name=\"keyword\" value=\"$oldkeyword\" />\n";
   echo "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
   echogb("<input type=\"submit\" name=\"submit1\" value=\"上一頁\" />\n");
   echo "</form></td>\n";
 }
 if ($PGEND<($numrow-1))
 {
   $a=$PGEND+1;
   echo "<td><form method=\"post\" action=\"$PROGNAME\">\n";
   echo "<input type=\"hidden\" name=\"PGBEG\" value=\"$a\" />\n";
   echo "<input type=\"hidden\" name=\"VERSION\" value=\"$oldv\" />\n";
   echo "<input type=\"hidden\" name=\"RANGE\" value=\"$RANGE\" />\n";
   echo "<input type=\"hidden\" name=\"range_bid\" value=\"$range_bid\" />\n";
   echo "<input type=\"hidden\" name=\"range_eid\" value=\"$range_eid\" />\n";
   echo "<input type=\"hidden\" name=\"keyword\" value=\"$oldkeyword\" />\n";
   echo "<input type=\"hidden\" name=\"TABFLAG\" value=\"$TABFLAG\" />\n";
   echo "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
   echo "<input type=\"hidden\" name=\"strongflag\" value=\"$strongflag\" />\n";
   echogb("<input type=\"submit\" name=\"submit1\" value=\"下一頁\" />\n");
   echo "</form></td>\n";
 }
 echo '</tr></table>';
 $fpt=$PGBEG+1;
        echo "<center>";
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=0\">全本聖經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=2\">舊約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=1\">新約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=1&amp;range_eid=5\">摩西五經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=6&amp;range_eid=17\">歷史書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=18&amp;range_eid=22\">詩歌書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=23&amp;range_eid=39\">先知書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=40&amp;range_eid=43\">福音書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=44&amp;range_eid=57\">保羅書信</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=58&amp;range_eid=66\">其他書信</a>");
        echogb(" <a href=\"$RETURNADD1\">重新查詢</a></center><p />\n");
 echogb("總共 $numrow 筆資料，目前由第 $fpt 筆開始印 <br />\n");
 if ($TABFLAG)
 {
 	echo "<table $tabout>\n<tr>";
	if ($updatemode) $fpcnt=4;
        else $fpcnt=3;
 	for ($fpt=0;$fpt<$fpcnt;$fpt++)
 	{
    		$special=htmlspecialchars($THEADER[$fpt]);//特殊字元處理
    		echogb("<td align=\"center\">$special</td>");
 	}
 	echo "</tr>";
 }
 /****真的印出資料 *****/
 for($a=$PGBEG;$a<=$PGEND;$a++)
   {
      if ($TABFLAG)
      {
         echo "<tr>";
      }
      $ARAW=db_fetch_row($result,$a); //讀取一筆記錄
      if ($TABFLAG)
      {
        $special=htmlspecialchars(trim($ARAW[0]));//特殊字元處理
      	echogb("<td>$special</td>");
        $special=htmlspecialchars($ARAW[1]);//特殊字元處理
        echogb("<td><a href=\"$READPROGNAME?id=$ARAW[3]&amp;VERSION=$oldv&amp;strongflag=$strongflag&amp;TABFLAG=$TABFLAG&amp;ide=1\" target=\"READ\">$special</a></td>");
        if ($updatemode) echo "<td>$ARAW[4]</td>";
      }
      else //無表格
      {
	$special1=htmlspecialchars($ARAW[0]);//特殊字元處理
        $special=htmlspecialchars($ARAW[1]);//特殊字元處理
      echogb("<a href=\"$READPROGNAME?id=$ARAW[3]&amp;VERSION=$oldv&amp;strongflag=$strongflag&amp;TABFLAG=$TABFLAG&amp;ide=1\" target=\"READ\">$special1 $special</a>  ");
        if ($updatemode) echo "<td>$ARAW[4]</td>";
      }
      /****處理經文*****/
      $bibletex=$ARAW[2];
      if ($stronged) $bibletex=procstrong($strongflag,$bibletex);	
      if ($TABFLAG) echo "<td>";
      if ($stronged==0) $bibletex=htmlspecialchars($bibletex);
      //show 出紅色關鍵字
      for ($keypt=0;$keypt<$keycnt;$keypt=$keypt+1)
      {
         $outputstr="</font><font color={$KEYCOLOR[$keypt]}>$disptok[$keypt]</font><font color=$COLOR>";
	if ($iscase==1)
		$bibletex=eregi_replace($disptok[$keypt],"</font><font color={$KEYCOLOR[$keypt]}>\\0</font><font color=$COLOR>",$bibletex);
	else
		$bibletex=str_replace($disptok[$keypt],$outputstr,$bibletex);
        //str_ireplace PHP 5.0以前改成 eregi_replace
      }
      //echo $outputstr;
      if ($TABFLAG)
		echogb("<font color=$COLOR>"."$bibletex</font></td>");
      else 
		echogb("<font color=$COLOR>"."$bibletex</font><br />");
      if ($TABFLAG)
      		echo "</tr>\n";
   }
   if ($TABFLAG)
   		echo "</table>\n";
  echo '<table align="center"><tr>';
 if ($PGBEG>=$PGNUM)
 {
   $a=$PGBEG-$PGNUM;
   echo "<td><form method=\"post\" action=\"$PROGNAME\">\n";
   echo "<input type=\"hidden\" name=\"PGBEG\" value=\"$a\" />\n";
   echo "<input type=\"hidden\" name=\"VERSION\" value=\"$oldv\" />\n";
   echo "<input type=\"hidden\" name=\"RANGE\" value=\"$RANGE\" />\n";
   echo "<input type=\"hidden\" name=\"range_bid\" value=\"$range_bid\" />\n";
   echo "<input type=\"hidden\" name=\"range_eid\" value=\"$range_eid\" />\n";
   echo "<input type=\"hidden\" name=\"TABFLAG\" value=\"$TABFLAG\" />\n";
   echo "<input type=\"hidden\" name=\"strongflag\" value=\"$strongflag\" />\n";
   echo "<input type=\"hidden\" name=\"keyword\" value=\"$oldkeyword\" />\n";
   echo "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
   echogb("<input type=\"submit\" name=\"submit1\" value=\"上一頁\" />\n");
   echo "</form></td>\n";
 }
 if ($PGEND<($numrow-1))
 {
   $a=$PGEND+1;
   echo "<td><form method=\"post\" action=\"$PROGNAME\">\n";
   echo "<input type=\"hidden\" name=\"PGBEG\" value=\"$a\" />\n";
   echo "<input type=\"hidden\" name=\"VERSION\" value=\"$oldv\" />\n";
   echo "<input type=\"hidden\" name=\"RANGE\" value=\"$RANGE\" />\n";
   echo "<input type=\"hidden\" name=\"range_bid\" value=\"$range_bid\" />\n";
   echo "<input type=\"hidden\" name=\"range_eid\" value=\"$range_eid\" />\n";
   echo "<input type=\"hidden\" name=\"keyword\" value=\"$oldkeyword\" />\n";
   echo "<input type=\"hidden\" name=\"TABFLAG\" value=\"$TABFLAG\" />\n";
   echo "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
   echo "<input type=\"hidden\" name=\"strongflag\" value=\"$strongflag\" />\n";
   echogb("<input type=\"submit\" name=\"submit1\" value=\"下一頁\" />\n");
   echo "</form></td>\n";
 }
 echo '</tr></table>';

  /***** 這裡加入頁次 ****/
  $a=0;
  echogb("<center>頁次：&nbsp;&nbsp;");
  for ($recpt=0;$recpt<=$numrow-1;$recpt=$recpt+$PGNUM)
  {
	$a=$a+1;
	if ($recpt!=$PGBEG) //不是本頁
	{
	 echo "&nbsp;<a href=\"$PROGNAME?PGBEG={$recpt}&amp;VERSION={$oldv}&amp;keyword={$poldkeyword}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;RANGE={$RANGE}&amp;range_bid={$range_bid}&amp;range_eid={$range_eid}\">{$a}</a>&nbsp;\n";
	}
	else echo "&nbsp;<font color=\"red\">{$a}</font>&nbsp;";
  }
  echo "</center>";
   echogb("<p /><center><a href=\"$RETURNADD1\">重新查詢</a>\n");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=0\">全本聖經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=2\">舊約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=1\">新約</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=1&amp;range_eid=5\">摩西五經</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=6&amp;range_eid=17\">歷史書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=18&amp;range_eid=22\">詩歌書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=23&amp;range_eid=39\">先知書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=40&amp;range_eid=43\">福音書</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=44&amp;range_eid=57\">保羅書信</a>");
        echogb(" <a href=\"$_SELF?VERSION={$oldv}&amp;TABFLAG={$TABFLAG}&amp;orig={$orig}&amp;strongflag={$strongflag}&amp;keyword={$poldkeyword}&amp;RANGE=3&amp;range_bid=58&amp;range_eid=66\">其他書信</a>");
   echo "</center><br />\n";

   if ($stronged)
   {
echo "<hr />\nKJV + Strongs and lexicons were adapted from the Online Bible. It used by permission and are copyrighted by Timnathserah Inc.";
   }
   echo '</body></html>';

?>
